1

I am renting a VPS with Ubuntu Server 16.04 preinstalled from an image. It however comes with a lot of unneeded packages, I wish they had offered Ubuntu Minimal (but they don't).

So, I would like to remove packages from my current installation, to end up with Ubuntu minimal. How can I do this? Is there a script that I can execute, or a list of packages that I need to uninstall to end up with a vanilla Ubuntu Minimal

[I'm aware of How to convert existing Ubuntu install to minimal but the solution there doesn't apply to me, since I cannot manually change or reinstall the OS, only delete packages that I don't use.]

  • 1
    Whatever you do, do NOT remove anything Python or Python 3 – Sergiy Kolodyazhnyy May 30 '18 at 0:44
  • I don't want to be something just to provide non-advice but well Ubuntu doesn't have a Ubuntu Minimal version because Ubuntu isn't minimal. Both Debian and Fedora can be made to be quite minimal. That isn't to say Ubuntu can't be made to be minimal just its far from its intended use case. – jdwolf May 30 '18 at 2:47
  • @SergiyKolodyazhnyy Thats a minimal installer not a minimal install. (meaning during instlal it grabs packages online). – jdwolf May 30 '18 at 16:58
  • @jdwolf Well, your previous comment said "Ubuntu version", not "minimal install". And yes, Ubuntu doesn't have minimal install option, that's why OP is asking. – Sergiy Kolodyazhnyy May 30 '18 at 19:22
2

The difference between the minimal and the normal installation options is just that canonical removed a few packages from being installed by default. The difference is fairly small, around 400mb in total installation size. You can simply remove the packages that you do not need with sudo apt remove PACKAGENAME or sudo apt purge PACKAGENAME.

To answer the question, here is a list of all the packages that have been removed if you install the 18.04 with the minimal option. A similar list for ubuntu-mate can be found here.

# This is a list of packages to be removed when the 'minimal' option is
# selected during installation.

# Note that the format is NOT the same as the usual seed format. This file is
# not processed by germinate - it is simply downloaded during image builds.

# Desktop apps
thunderbird
transmission-gtk
gnome-todo
baobab
rhythmbox
cheese
vino
shotwell
totem
usb-creator-gtk
deja-dup
gnome-calendar
remmina
simple-scan

# Desktop experience
thunderbird-gnome-support

# Games
aisleriot
gnome-mahjongg
gnome-mines
gnome-sudoku
branding-ubuntu

# Libreoffice
libreoffice-style-breeze
libreoffice-gnome
libreoffice-writer
libreoffice-calc
libreoffice-impress
libreoffice-math
libreoffice-ogltrans
libreoffice-pdfimport

# Others
example-content
ubuntu-web-launchers

# Langpacks (keeping libreoffice and thunderbird installed otherwise)
libreoffice-l10n-en-gb
libreoffice-l10n-es
libreoffice-l10n-zh-cn
libreoffice-l10n-zh-tw
libreoffice-l10n-pt
libreoffice-l10n-pt-br
libreoffice-l10n-de
libreoffice-l10n-fr
libreoffice-l10n-it
libreoffice-l10n-ru
libreoffice-l10n-en-za
libreoffice-help-en-gb
libreoffice-help-es
libreoffice-help-zh-cn
libreoffice-help-zh-tw
libreoffice-help-pt
libreoffice-help-pt-br
libreoffice-help-de
libreoffice-help-fr
libreoffice-help-it
libreoffice-help-ru
libreoffice-help-en-us
thunderbird-locale-en
thunderbird-locale-en-gb
thunderbird-locale-en-us
thunderbird-locale-es
thunderbird-locale-es-ar
thunderbird-locale-es-es
thunderbird-locale-zh-cn
thunderbird-locale-zh-hans
thunderbird-locale-zh-hant
thunderbird-locale-zh-tw
thunderbird-locale-pt
thunderbird-locale-pt-br
thunderbird-locale-pt-pt
thunderbird-locale-de
thunderbird-locale-fr
thunderbird-locale-it
thunderbird-locale-ru

# Unused rdepends
gir1.2-rb-3.0
gir1.2-totem-1.0
gir1.2-totemplparser-1.0
guile-2.0-libs
libabw-0.1-1
libavahi-ui-gtk3-0
libdmapsharing-3.0-2
libexttextcat-2.0-0
libexttextcat-data
libfreehand-0.1-1
libgnome-games-support-1-3
libgnome-games-support-common
libgom-1.0-0
libgrilo-0.3-0
liblangtag-common
liblangtag1
libmessaging-menu0
libmhash2
libminiupnpc10
libmwaw-0.3-3
libmythes-1.2-0
libnatpmp1
libneon27-gnutls
liborcus-0.13-0
libpagemaker-0.0-0
librdf0
libreoffice-avmedia-backend-gstreamer
libreoffice-base-core
libreoffice-common
libreoffice-core
libreoffice-draw
libreoffice-gtk3
libreoffice-style-elementary
libreoffice-style-galaxy
libreoffice-style-tango
libraptor2-0
librasqal3
librevenge-0.0-0
librhythmbox-core10
libtotem0
libvisio-0.1-1
libwpd-0.10-10
libwpg-0.3-3
libwps-0.4-4
libyajl2
python3-uno
rhythmbox-data
rhythmbox-plugin-alternative-toolbar
rhythmbox-plugins
remmina-common
remmina-plugin-rdp
remmina-plugin-secret
remmina-plugin-vnc
duplicity
seahorse-daemon
shotwell-common
totem-common
totem-plugins
transmission-common
cheese-common
gnome-todo-common
libgnome-todo
gnome-video-effects
libcheese-gtk25
libcheese8
uno-libs3
ure
zeitgeist-core
hunspell-de-at-frami
hunspell-de-ch-frami
hunspell-de-de-frami
hunspell-en-au
hunspell-en-ca
hunspell-en-gb
hunspell-en-za
hunspell-es
hunspell-fr
hunspell-fr-classical
hunspell-it
hunspell-pt-br
hunspell-pt-pt
hunspell-ru
hyphen-de
hyphen-en-ca
hyphen-en-gb
hyphen-en-us
hyphen-fr
hyphen-hr
hyphen-it
hyphen-pl
hyphen-pt-br
hyphen-pt-pt
hyphen-ru
mythes-de
mythes-de-ch
mythes-en-au
mythes-en-us
mythes-fr
mythes-it
mythes-pt-pt
mythes-ru  
| improve this answer | |
  • Strange, here all sorts of other software comes pre-bundled (including apache2, php, etc.). Apparently they pre-installed more than just the vanilla server edition then. I think I'll use another approach, thanks for the info! – user1111929 Jun 1 '18 at 0:39

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.